%bcond_without check
%global debug_package %{nil}

%global goipath         github.com/deckarep/golang-set
Version:                1.8.0

%gometa

%global common_description %{expand:
Package Mapset implements a simple and generic set collection. Items stored
within it are unordered and unique. It supports typical set operations:
membership testing, intersection, union, difference, symmetric difference and
cloning.

Package Mapset provides two implementations of the Set interface. The default
implementation is safe for concurrent access, but a non-thread-safe
implementation is also provided for programs that can benefit from the slight
speed improvement and that can enforce mutual exclusion through other means.}

%global golicenses      LICENSE
%global godocs          README.md

Name:           %{goname}
Release:    1%{?dist}
Summary:        Simple set type for the Go language

License:        MIT
URL:            %{gourl}
Source0:         %{gosource}

%description %{common_description}

%gopkg

%prep
%goprep

%generate_buildrequires
%go_generate_buildrequires

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles

%changelog
* Mon Aug 19 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - -1
- initial build
